sccs-cvt(1)

NAME
sccs-cvt, sccscvt - convert SCCS history files between v4/v6

SYNOPSIS
sccscvt [ options ] file1 .. filen

DESCRIPTION
Sccscvt converts SCCS v4 history files (as introduced in February 1977) into SCCS v6 history files (as introduced in August 2011) and vice versa.

The first line, containing the SCCS magic number and the checksum is converted to the format that is appropriate. The time format in the delta table is converted by either removing the SCCS v6 extensions or by adding time zone information by assuming that all time stamps are from the local time zone. When converting from SCCS v6 to SCCS v4, the enhanced time stamp data is retained as the first delta comment line in a delta block.

SID specific SCCS v6 enhancements are converted into special delta comment to prevent information loss when converting to SCCS v4.

The SCCS v6 enhancements that are between the SCCS v4 flags indicated by ^Af and the SCCS comment block that is bracketed between ^At and ^AT are untouched as these enhancements are not flagged by historic SCCS versions and retained by historic SCCS versions when a history file is modified.

If a file argument refers to a directory, the directory is scanned for file names that start with ``s.'' and examines all these files.

OPTIONS

-d  When converting from SCCS v6 to SCCS v4, discard the extended SCCS v6 meta data instead of converting it into special degenerated delta comments.

-k

-keep
    Keep the original history file as o.file. When this option is missing, the original file is replaced by the converted file.

-V4 Convert a SCCS v6 history file into a SCCS v4 history file.

-V6 Convert a SCCS v4 history file into a SCCS v6 history file.

-help
    Prints a short summary of the sccscvt options and exists.

-V

-version
    Prints the sccscvt version number string and exists.

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of sccscvt(1): LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, sccscvt(1) will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

TZ  Used for the timezone when converting between SCCS v4 and SCCS v6.

EXIT STATUS

The following exit values are returned:

0   Successful completion.

1   An error occurred.

-1  A wrong option or parameter was specified.

FILES

s.file
    history file

o.file
    saved original version of the history file

x.file
    temporary copy of the s.file; renamed to the s.file after completion.

z.file
    temporary lock file contains the binary process id in host byte order followed by the host name

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-log(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), sccs-unget(1), sccs-val(1), bdiff(1), diff(1), what(1), sccschangeset(4), sccsfile(4), attributes(5), environ(5), standards(5).

DIAGNOSTICS

NOTES
If a SCCS history file is converted from SCCS v4 to SCCS v6 and there is no retained SCCS v6 timestamp information in the delta comment, it may be a good idea to manually correct time zone information.

BUGS

AUTHOR
sccscvt(1) was origininally written by Joerg Schilling in 2011 and is still maintained by Joerg Schilling.